Orbot seems to be badly out of date [Solved]


#1

Hi, I’ve noticed that the version of Orbot in F-droid is 15.0.1-RC-3-PIE which was last updated 2015-07-16. The version in the Google Play store is 15.2.0-RC-8-multi 2016-11-06.

Why are some of the F-droid packages like this one so out-of-date?


#2

Ahh, I’ve fixed the issue.

I needed to activate the Guardian repo from the repos screen. Now I’ve got the latest version.


#3

Hi, I’ve noticed that the version of Orbot in F-droid is 15.0.1-RC-3-PIE
which was last updated 2015-07-16. The version in the Google Play store
is 15.2.0-RC-8-multi 2016-11-06.

Orbot gets updated directly from upstream’s (in this case
GuardianProject) fdroid repo. It comes enabled by default
in the client. Please check if you still have it enabled
in your repositories settings.

GP’s repo serves 15.2.0-RC-8-multi, added 2016-11-07.

Why are some of the F-droid packages like this one so out-of-date? It’s
a little worrying if I’m honest.

While the question to this app has been answered, a more general
answer is simple: We are (largely) a volunteer based project. We
don’t have (many) individual maintainers, but most of the package
maintenance is handled by a single person. Patches/merge request
are always welcome…

Sometimes there are also bugs in the fdroidserver, that – while
being fixed in acceptable timeframe – need to be tested and deployed
on the actual hardware. Infrastructure maintenance and administrative
tasks, signing an publishing take their toll as well… as does our
non-fdroid lifes.


#4

Thanks for the reply. For some reason it became de-selected.


#5